VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "StockFactory"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa StockFactory
'Tworzy odpowiednie okno w zalezności od liczby inwestycji
Public Function getBuilder(stocks As Collection)
  Dim mult As MultiChoice
  If stocks.Count <= 3 Then
    Set mult = New checkForm      'Okno z polami wyboru
  Else
    Set mult = New listForm       'Okno z listą
  End If
  mult.init stocks                'Zainicjuj okno kolekcją inwestycji
  Set getBuilder = mult
End Function
